Subject: [PATCH 0/4] [IPv6] Add new scope and address type inlines

From: Brian Haley <[email-masked]>
Date: Thu, 05 Apr 2007 23:19:25 -0400

[sorry if anyone got these multiple times, git-send-email weirdness]

This set of patches adds new IPv6 scope and address type inlines
to both clean-up the code (inspired by Arnaldo's skb cleanup) and reduce
calls to ipv6_addr_type() when we can just compare the address directly.
No functionality is changed.

I'm only cc'ing the DCCP and LkSCTP lists on the patches that actually
touch their code.

-Brian